/*
 * Copyright (c) 2005-2014, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.identity.integration.test.certificateauthority;

public class CaResources {

    public static final String csr1 = "-----BEGIN CERTIFICATE REQUEST-----\n" +
            "MIICqDCCAZACADBkMQswCQYDVQQGEwJVUzERMA8GA1UEAxMIdGVzdC5jb20xETAP\n" +
            "BgNVBAcTCE5ldyBZb3JrMREwDwYDVQQKEwh0ZXN0LmNvbTELMAkGA1UECBMCTlkx\n" +
            "DzANBgNVBAsTBnRlc3RPVTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\n" +
            "AKJ6NYiOTdyCHo6rKaQEZvekI4uI5FERkiV1DX1hE2E+t45B443Jg8ExQNoFrdRb\n" +
            "5T+NYOvRqYKh+LRc7WH++nFsS4yI2O9cc1zfgIvp8/6/P1/vNG2H/cHBs+qLuhj6\n" +
            "aTiZ0fXL8NEbLqiyvkkn48ClEv+729ujGr3TSzaRC0jF3NCbZ5YhjPK5bIWxOiDF\n" +
            "CLYxp7evs8H7r5xXnWKb3P9QT4HQhSRMJYUxwdsSqKJ/jwOBG3gobGJVdCLW+1vS\n" +
            "k9jGp106Jxt4+5BsQll33gP7bicQNXJoZ6ttCT4B2ZeyI0ayRWyr4FAwzQgcNhAT\n" +
            "kB8zT83SXP9rACqKtQ5kSUECAwEAAaAAMA0GCSqGSIb3DQEBBAUAA4IBAQARgCc+\n" +
            "ksj7TSttKdaJg8iBgFaaHtKsDG2wxgwJGBuLsn6BbRhm7TaAtifhDgsoaKbHeG5R\n" +
            "dyxZ8yPBiguHsA6MfwFKBJVjjczEkkekMvM64BnMaZUcJl24m+1+rUuS+LyzrCnX\n" +
            "G6/13FzNDW54OSUjjSwWo3Mie/E7Dgo7RMTzLE48eIbj+H+NhvOpOqHUdHEPfSUP\n" +
            "B2RxPNgSKlAjzTejM3MxdiXQ2FzFXLGNyr0Ug/q6VknLeCpz3cpSPGAKhc08CUYI\n" +
            "R8Vbpm5ijeyFYs7wbAvYch1YTgzmLeYWoVH+uZhJkkyZa4eIiQQplnT4Bsgtjxe0\n" +
            "ZQArPjkK+0q1J1r0\n" +
            "-----END CERTIFICATE REQUEST-----\n";
    public static final String csr2 = "-----BEGIN CERTIFICATE REQUEST-----\n" +
            "MIICsTCCAZkCADBtMQswCQYDVQQGEwJMSzERMA8GA1UEAxMIdGVzdC5vcmcxEDAO\n" +
            "BgNVBAcTB0NvbG9tYm8xETAPBgNVBAoTCHRlc3Qub3JnMRAwDgYDVQQIEwdXZXN0\n" +
            "ZXJuMRQwEgYDVQQLEwt0ZXN0Lm9yZy5PVTCCASIwDQYJKoZIhvcNAQEBBQADggEP\n" +
            "ADCCAQoCggEBAMBKZS7+3YCumeQGk9auMVusHnBzS+EsT5Io2/Sid+01BJPTrgpN\n" +
            "OO3f94y/jFjuV8FjJjlBAiGxs27x/bvyLpMb9Vc7ckWK5SXJtjxyRs9A5fLdxd2V\n" +
            "9w9tEcUyfZWafrbLmvgVMy1Rr4hogHGWaZb8bBt3ILKsQCQIXuJGxqet6DnKHE/T\n" +
            "f2W7ZqmT2AOgC9IOOsYSPhmCJjqOj4PQcBWaEmp/JRSHfSy8JQkKmNtk0pA23yk/\n" +
            "eyn0MvcbeYSZFsOL16NZj+8OJVuqpX0do0/CkHc4d92afQdAur2skXq4uBzlefyF\n" +
            "FcJh02Yc1LZtzQFold819ZxUUnmBkbzrY70CAwEAAaAAMA0GCSqGSIb3DQEBBAUA\n" +
            "A4IBAQCEiIUkUT9b0tYbxCTkO860sRa5Negi4CNWpIg1EE5HDRoeCX+jExYvpHqQ\n" +
            "O9ULZU633scNMhP8Aj48i0i22k9eE8gpWya5kGQGJsiVodf3W4BWng64ARsjBPaz\n" +
            "LSJ8IMgnwGm0ljiG9Mjz8KAZ0XMI0iqV8XIFJ3MXhaBOHqdjOzJ1orckAwJLclm/\n" +
            "wP3kpEE3FbF+qstKqoNDzhoJGVn13iysUbHxwGAc+GD/hB9JAOHvH36CxBpOBT5E\n" +
            "FIHfm62Gq5FGxYdUsqpNT4CMtzfOLRVns7+tJXmmVRcIfi+Qye0ywsN0JS/9Y+ay\n" +
            "NdaQZY8p+S3a0XOADgLF7Hw+ZAzO\n" +
            "-----END CERTIFICATE REQUEST-----";
    public static final String csr3 ="-----BEGIN CERTIFICATE REQUEST-----\n" +
            "MIICqjCCAZICADBmMQswCQYDVQQGEwJVUzESMBAGA1UEAxMJdGVzdC5pbmZvMQsw\n" +
            "CQYDVQQHEwJTQTESMBAGA1UEChMJdGVzdC5pbmZvMQswCQYDVQQIEwJUWDEVMBMG\n" +
            "A1UECxMMdGVzdC5pbmZvLk9VMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKC\n" +
            "AQEArTpw8w4MFU1agNe4b7eZmYPddGUF0YCDbL6KEXhakceLc1N4t6O1vACnT0fz\n" +
            "SDGBcwSiSPGJqWeFTHFilKY86AI5YdHzsa6Skm59NZ2YhJW4qRERtQ1xcOrPJUkp\n" +
            "U+EbWMX+U8ldLmAoV87zs8AdT3IJd891+R54aRtwmktReMkoWMEdwkHYwbv81h57\n" +
            "eUMEvRlVM+415J0e3PE09AqE2JdP8Ap/IaBQvA2Wd8U2hD7ZAsy1bc0Z3CE3oKAN\n" +
            "RdpsYmEyYBxkhFtPFQ8jBv7oJ3swmfejkF0Mn4Ij2yJg0QVHIyNju4jnME4ZPZdN\n" +
            "kRiq2h30Ae2atKPvrB7z1jEBcwIDAQABoAAwDQYJKoZIhvcNAQEEBQADggEBAAoo\n" +
            "/2D0dB5na6aFH/PeiUN534c3bOcq1UosdVWQZXQMKnVRdGoE0CfJGmU3dPdK7Jyv\n" +
            "jg2BAlsbomoAZgmhnsVhzDjcMVyFVvOQyZHsNHlkWmAS6l9Oh2LOS+l+0tsTogap\n" +
            "caCf6XWWgx/2oCS/YbeY/t5NwNhIF3MVrnpAU3afVqRWBnCcnw01UY7n4XSkyRV7\n" +
            "iOvLKcijFZJcBg00Qds61NTWJzqiAKQoJNmWLuy74ATUSGcuCT3u6bQrGyP/cvCI\n" +
            "gJQcjyPbxhpZkxiliNPSBu/nE+BOncknwuQHIeiY5VFA3rSnYrSDLXUpl3CEW6Po\n" +
            "b+6fxfyMEKwIziZJGb4=\n" +
            "-----END CERTIFICATE REQUEST-----";

    public static class RevokeReason{
        public static final int REVOCATION_REASON_UNSPECIFIED_VAL = 0;
        public static final int REVOCATION_REASON_KEYCOMPROMISE_VAL = 1;
        public static final int REVOCATION_REASON_CACOMPROMISE_VAL = 2;
        public static final int REVOCATION_REASON_AFFILIATIONCHANGED_VAL = 3;
        public static final int REVOCATION_REASON_SUPERSEDED_VAL = 4;
        public static final int REVOCATION_REASON_CESSATIONOFOPERATION_VAL = 5;
        public static final int REVOCATION_REASON_CERTIFICATEHOLD_VAL = 6;
        // Value 7 is not used, see RFC5280
        public static final int REVOCATION_REASON_REMOVEFROMCRL_VAL = 8;
        public static final int REVOCATION_REASON_PRIVILEGESWITHDRAWN_VAL = 9;
        public static final int REVOCATION_REASON_AACOMPROMISE_VAL = 10;
    }

    public static class CsrStatus{
        public static final String PENDING = "PENDING";
        public static final String SIGNED = "SIGNED";
        public static final String REJECTED = "REJECTED";
    }

    public static class CertificateStatus{
        public static final String ACTIVE = "ACTIVE";
        public static final String REVOKED = "REVOKED";
    }


}
